package com.ruoyi.system.domain.visit.ext;

import com.ruoyi.system.domain.system.SysOtherappAttachment;
import com.ruoyi.system.domain.visit.VisitPlan;
import com.ruoyi.system.domain.visit.VisitPlanUser;

import java.util.List;

/**
 * @author hxc
 * @Title:
 * @Package
 * @Description:
 * @date 2022/5/10 14:52
 */
public class VisitPlanExt extends VisitPlan {
    private String wcl;//完成率
    private String planTypeName;//走访类型名称

    private String categoryId;

    private String categoryName;

    private String templateName;

    private String formName; //走访表单名字

    private List<String> wgCodeList;

    private List<VisitPlanUser> visitPlanUserList;

    private List<VisitPlanObjExt> wszfPlanObjList;
    private List<SysOtherappAttachment> otherappAttachments;//附件

    public List<VisitPlanObjExt> getWszfPlanObjList() {
        return wszfPlanObjList;
    }

    public void setWszfPlanObjList(List<VisitPlanObjExt> wszfPlanObjList) {
        this.wszfPlanObjList = wszfPlanObjList;
    }

    public String getPlanTypeName() {
        return planTypeName;
    }

    public void setPlanTypeName(String planTypeName) {
        this.planTypeName = planTypeName;
    }


    public String getWcl() {
        return wcl;
    }

    public void setWcl(String wcl) {
        this.wcl = wcl;
    }

    public List<SysOtherappAttachment> getOtherappAttachments() {
        return otherappAttachments;
    }

    public void setOtherappAttachments(List<SysOtherappAttachment> otherappAttachments) {
        this.otherappAttachments = otherappAttachments;
    }

    public List<String> getWgCodeList() {
        return wgCodeList;
    }

    public void setWgCodeList(List<String> wgCodeList) {
        this.wgCodeList = wgCodeList;
    }

    public void setVisitPlanUserList(List<VisitPlanUser> visitPlanUserList) {
        this.visitPlanUserList = visitPlanUserList;
    }

    public List<VisitPlanUser> getVisitPlanUserList() {
        return visitPlanUserList;
    }

    public String getFormName() {
        return formName;
    }

    public void setFormName(String formName) {
        this.formName = formName;
    }

    public String getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(String categoryId) {
        this.categoryId = categoryId;
    }

    public String getCategoryName() {
        return categoryName;
    }

    public void setCategoryName(String categoryName) {
        this.categoryName = categoryName;
    }

    public String getTemplateName() {
        return templateName;
    }

    public void setTemplateName(String templateName) {
        this.templateName = templateName;
    }
}
